(set-logic QF_UFLIA)
(set-info :source |
   Wisconsin Safety Analyzer (WiSA) benchmarks translated to SMT format by Hossein Sheini
  |)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(set-info :status sat)
(declare-fun arg0 () Int)
(declare-fun arg1 () Int)
(declare-fun fmt0 () Int)
(declare-fun fmt1 () Int)
(declare-fun distance () Int)
(declare-fun fmt_length () Int)
(declare-fun adr_lo () Int)
(declare-fun adr_medlo () Int)
(declare-fun adr_medhi () Int)
(declare-fun adr_hi () Int)
(declare-fun format (Int) Int)
(declare-fun percent () Int)
(declare-fun s () Int)
(declare-fun s_count (Int) Int)
(declare-fun x () Int)
(declare-fun x_count (Int) Int)
(assert (let ((?v_1 (+ fmt0 1)) (?v_0 (- (- fmt1 2) fmt0)) (?v_25 (format 0))) (let ((?v_52 (= ?v_25 percent)) (?v_26 (format 1))) (let ((?v_56 (= ?v_26 percent)) (?v_53 (= ?v_26 s)) (?v_159 (= ?v_26 x)) (?v_27 (format 2))) (let ((?v_60 (= ?v_27 percent)) (?v_57 (= ?v_27 s)) (?v_162 (= ?v_27 x)) (?v_28 (format 3))) (let ((?v_64 (= ?v_28 percent)) (?v_61 (= ?v_28 s)) (?v_165 (= ?v_28 x)) (?v_29 (format 4))) (let ((?v_68 (= ?v_29 percent)) (?v_65 (= ?v_29 s)) (?v_168 (= ?v_29 x)) (?v_30 (format 5))) (let ((?v_72 (= ?v_30 percent)) (?v_69 (= ?v_30 s)) (?v_171 (= ?v_30 x)) (?v_31 (format 6))) (let ((?v_76 (= ?v_31 percent)) (?v_73 (= ?v_31 s)) (?v_174 (= ?v_31 x)) (?v_32 (format 7))) (let ((?v_80 (= ?v_32 percent)) (?v_77 (= ?v_32 s)) (?v_177 (= ?v_32 x)) (?v_33 (format 8))) (let ((?v_84 (= ?v_33 percent)) (?v_81 (= ?v_33 s)) (?v_180 (= ?v_33 x)) (?v_34 (format 9))) (let ((?v_88 (= ?v_34 percent)) (?v_85 (= ?v_34 s)) (?v_183 (= ?v_34 x)) (?v_35 (format 10))) (let ((?v_92 (= ?v_35 percent)) (?v_89 (= ?v_35 s)) (?v_186 (= ?v_35 x)) (?v_36 (format 11))) (let ((?v_96 (= ?v_36 percent)) (?v_93 (= ?v_36 s)) (?v_189 (= ?v_36 x)) (?v_37 (format 12))) (let ((?v_100 (= ?v_37 percent)) (?v_97 (= ?v_37 s)) (?v_192 (= ?v_37 x)) (?v_38 (format 13))) (let ((?v_104 (= ?v_38 percent)) (?v_101 (= ?v_38 s)) (?v_195 (= ?v_38 x)) (?v_39 (format 14))) (let ((?v_108 (= ?v_39 percent)) (?v_105 (= ?v_39 s)) (?v_198 (= ?v_39 x)) (?v_40 (format 15))) (let ((?v_112 (= ?v_40 percent)) (?v_109 (= ?v_40 s)) (?v_201 (= ?v_40 x)) (?v_41 (format 16))) (let ((?v_116 (= ?v_41 percent)) (?v_113 (= ?v_41 s)) (?v_204 (= ?v_41 x)) (?v_42 (format 17))) (let ((?v_120 (= ?v_42 percent)) (?v_117 (= ?v_42 s)) (?v_207 (= ?v_42 x)) (?v_43 (format 18))) (let ((?v_124 (= ?v_43 percent)) (?v_121 (= ?v_43 s)) (?v_210 (= ?v_43 x)) (?v_44 (format 19))) (let ((?v_128 (= ?v_44 percent)) (?v_125 (= ?v_44 s)) (?v_213 (= ?v_44 x)) (?v_45 (format 20))) (let ((?v_132 (= ?v_45 percent)) (?v_129 (= ?v_45 s)) (?v_216 (= ?v_45 x)) (?v_46 (format 21))) (let ((?v_136 (= ?v_46 percent)) (?v_133 (= ?v_46 s)) (?v_219 (= ?v_46 x)) (?v_47 (format 22))) (let ((?v_140 (= ?v_47 percent)) (?v_137 (= ?v_47 s)) (?v_222 (= ?v_47 x)) (?v_48 (format 23))) (let ((?v_144 (= ?v_48 percent)) (?v_141 (= ?v_48 s)) (?v_225 (= ?v_48 x)) (?v_49 (format 24))) (let ((?v_148 (= ?v_49 percent)) (?v_145 (= ?v_49 s)) (?v_228 (= ?v_49 x)) (?v_50 (format 25))) (let ((?v_152 (= ?v_50 percent)) (?v_149 (= ?v_50 s)) (?v_231 (= ?v_50 x)) (?v_51 (format 26))) (let ((?v_156 (= ?v_51 percent)) (?v_153 (= ?v_51 s)) (?v_234 (= ?v_51 x)) (?v_54 (and ?v_52 ?v_53)) (?v_55 (s_count 0)) (?v_58 (and ?v_56 ?v_57)) (?v_59 (s_count 1)) (?v_62 (and ?v_60 ?v_61)) (?v_63 (s_count 2)) (?v_66 (and ?v_64 ?v_65)) (?v_67 (s_count 3)) (?v_70 (and ?v_68 ?v_69)) (?v_71 (s_count 4)) (?v_74 (and ?v_72 ?v_73)) (?v_75 (s_count 5)) (?v_78 (and ?v_76 ?v_77)) (?v_79 (s_count 6)) (?v_82 (and ?v_80 ?v_81)) (?v_83 (s_count 7)) (?v_86 (and ?v_84 ?v_85)) (?v_87 (s_count 8)) (?v_90 (and ?v_88 ?v_89)) (?v_91 (s_count 9)) (?v_94 (and ?v_92 ?v_93)) (?v_95 (s_count 10)) (?v_98 (and ?v_96 ?v_97)) (?v_99 (s_count 11)) (?v_102 (and ?v_100 ?v_101)) (?v_103 (s_count 12)) (?v_106 (and ?v_104 ?v_105)) (?v_107 (s_count 13)) (?v_110 (and ?v_108 ?v_109)) (?v_111 (s_count 14)) (?v_114 (and ?v_112 ?v_113)) (?v_115 (s_count 15)) (?v_118 (and ?v_116 ?v_117)) (?v_119 (s_count 16)) (?v_122 (and ?v_120 ?v_121)) (?v_123 (s_count 17)) (?v_126 (and ?v_124 ?v_125)) (?v_127 (s_count 18)) (?v_130 (and ?v_128 ?v_129)) (?v_131 (s_count 19)) (?v_134 (and ?v_132 ?v_133)) (?v_135 (s_count 20)) (?v_138 (and ?v_136 ?v_137)) (?v_139 (s_count 21)) (?v_142 (and ?v_140 ?v_141)) (?v_143 (s_count 22)) (?v_146 (and ?v_144 ?v_145)) (?v_147 (s_count 23)) (?v_150 (and ?v_148 ?v_149)) (?v_151 (s_count 24))) (let ((?v_154 (and ?v_152 ?v_153)) (?v_155 (s_count 25)) (?v_237 (format 27))) (let ((?v_157 (and ?v_156 (= ?v_237 s))) (?v_158 (s_count 26)) (?v_160 (and ?v_52 ?v_159)) (?v_161 (x_count 0)) (?v_163 (and ?v_56 ?v_162)) (?v_164 (x_count 1)) (?v_166 (and ?v_60 ?v_165)) (?v_167 (x_count 2)) (?v_169 (and ?v_64 ?v_168)) (?v_170 (x_count 3)) (?v_172 (and ?v_68 ?v_171)) (?v_173 (x_count 4)) (?v_175 (and ?v_72 ?v_174)) (?v_176 (x_count 5)) (?v_178 (and ?v_76 ?v_177)) (?v_179 (x_count 6)) (?v_181 (and ?v_80 ?v_180)) (?v_182 (x_count 7)) (?v_184 (and ?v_84 ?v_183)) (?v_185 (x_count 8)) (?v_187 (and ?v_88 ?v_186)) (?v_188 (x_count 9)) (?v_190 (and ?v_92 ?v_189)) (?v_191 (x_count 10)) (?v_193 (and ?v_96 ?v_192)) (?v_194 (x_count 11)) (?v_196 (and ?v_100 ?v_195)) (?v_197 (x_count 12)) (?v_199 (and ?v_104 ?v_198)) (?v_200 (x_count 13)) (?v_202 (and ?v_108 ?v_201)) (?v_203 (x_count 14)) (?v_205 (and ?v_112 ?v_204)) (?v_206 (x_count 15)) (?v_208 (and ?v_116 ?v_207)) (?v_209 (x_count 16)) (?v_211 (and ?v_120 ?v_210)) (?v_212 (x_count 17)) (?v_214 (and ?v_124 ?v_213)) (?v_215 (x_count 18)) (?v_217 (and ?v_128 ?v_216)) (?v_218 (x_count 19)) (?v_220 (and ?v_132 ?v_219)) (?v_221 (x_count 20)) (?v_223 (and ?v_136 ?v_222)) (?v_224 (x_count 21)) (?v_226 (and ?v_140 ?v_225)) (?v_227 (x_count 22)) (?v_229 (and ?v_144 ?v_228)) (?v_230 (x_count 23)) (?v_232 (and ?v_148 ?v_231)) (?v_233 (x_count 24)) (?v_235 (and ?v_152 ?v_234)) (?v_236 (x_count 25)) (?v_238 (and ?v_156 (= ?v_237 x))) (?v_239 (x_count 26)) (?v_2 (+ fmt0 0)) (?v_3 (+ fmt0 2)) (?v_4 (+ fmt0 3)) (?v_5 (+ fmt0 4)) (?v_6 (+ fmt0 5)) (?v_7 (+ fmt0 6)) (?v_8 (+ fmt0 7)) (?v_9 (+ fmt0 8)) (?v_10 (+ fmt0 9)) (?v_11 (+ fmt0 10)) (?v_12 (+ fmt0 11)) (?v_13 (+ fmt0 12)) (?v_14 (+ fmt0 13)) (?v_15 (+ fmt0 14)) (?v_16 (+ fmt0 15)) (?v_17 (+ fmt0 16)) (?v_18 (+ fmt0 17)) (?v_19 (+ fmt0 18)) (?v_20 (+ fmt0 19)) (?v_21 (+ fmt0 20)) (?v_22 (+ fmt0 21)) (?v_23 (+ fmt0 22)) (?v_24 (+ fmt0 23))) (not (=> (and (and (and (and (and (and (and (and (and (and (and (= distance 47) (= fmt_length 27)) (= adr_lo 3)) (= adr_medlo 4)) (= adr_medhi 5)) (= adr_hi 6)) (and (and (= percent 37) (= s 115)) (= x 120))) (and (and (and (and (and (and (and (= fmt0 0) (= arg0 (- fmt0 distance))) (>= arg1 fmt0)) (< fmt1 (+ fmt0 (- fmt_length 1)))) (> fmt1 ?v_1)) (>= arg1 (+ arg0 distance))) (< arg1 (+ arg0 (+ distance (- fmt_length 4))))) (= arg1 (+ (+ arg0 (* 4 (s_count ?v_0))) (* 4 (x_count ?v_0)))))) (and (or (or (or (or (or (or (or (or (or (or (or (or (or (or (or (or (or (or (or (or (or (or (or (or (or (or (= fmt1 ?v_2) (= fmt1 ?v_1)) (= fmt1 ?v_3)) (= fmt1 ?v_4)) (= fmt1 ?v_5)) (= fmt1 ?v_6)) (= fmt1 ?v_7)) (= fmt1 ?v_8)) (= fmt1 ?v_9)) (= fmt1 ?v_10)) (= fmt1 ?v_11)) (= fmt1 ?v_12)) (= fmt1 ?v_13)) (= fmt1 ?v_14)) (= fmt1 ?v_15)) (= fmt1 ?v_16)) (= fmt1 ?v_17)) (= fmt1 ?v_18)) (= fmt1 ?v_19)) (= fmt1 ?v_20)) (= fmt1 ?v_21)) (= fmt1 ?v_22)) (= fmt1 ?v_23)) (= fmt1 ?v_24)) (= fmt1 (+ fmt0 24))) (= fmt1 (+ fmt0 25))) (= fmt1 (+ fmt0 26))) (or (or (or (or (or (or (or (or (or (or (or (or (or (or (or (or (or (or (or (or (or (or (or (= arg1 ?v_2) (= arg1 ?v_1)) (= arg1 ?v_3)) (= arg1 ?v_4)) (= arg1 ?v_5)) (= arg1 ?v_6)) (= arg1 ?v_7)) (= arg1 ?v_8)) (= arg1 ?v_9)) (= arg1 ?v_10)) (= arg1 ?v_11)) (= arg1 ?v_12)) (= arg1 ?v_13)) (= arg1 ?v_14)) (= arg1 ?v_15)) (= arg1 ?v_16)) (= arg1 ?v_17)) (= arg1 ?v_18)) (= arg1 ?v_19)) (= arg1 ?v_20)) (= arg1 ?v_21)) (= arg1 ?v_22)) (= arg1 ?v_23)) (= arg1 ?v_24)))) (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (or (or (or (or (or (or (or ?v_52 (= ?v_25 s)) (= ?v_25 x)) (= ?v_25 3)) (= ?v_25 4)) (= ?v_25 5)) (= ?v_25 6)) (= ?v_25 255)) (or (or (or (or (or (or (or ?v_56 ?v_53) ?v_159) (= ?v_26 3)) (= ?v_26 4)) (= ?v_26 5)) (= ?v_26 6)) (= ?v_26 255))) (or (or (or (or (or (or (or ?v_60 ?v_57) ?v_162) (= ?v_27 3)) (= ?v_27 4)) (= ?v_27 5)) (= ?v_27 6)) (= ?v_27 255))) (or (or (or (or (or (or (or ?v_64 ?v_61) ?v_165) (= ?v_28 3)) (= ?v_28 4)) (= ?v_28 5)) (= ?v_28 6)) (= ?v_28 255))) (or (or (or (or (or (or (or ?v_68 ?v_65) ?v_168) (= ?v_29 3)) (= ?v_29 4)) (= ?v_29 5)) (= ?v_29 6)) (= ?v_29 255))) (or (or (or (or (or (or (or ?v_72 ?v_69) ?v_171) (= ?v_30 3)) (= ?v_30 4)) (= ?v_30 5)) (= ?v_30 6)) (= ?v_30 255))) (or (or (or (or (or (or (or ?v_76 ?v_73) ?v_174) (= ?v_31 3)) (= ?v_31 4)) (= ?v_31 5)) (= ?v_31 6)) (= ?v_31 255))) (or (or (or (or (or (or (or ?v_80 ?v_77) ?v_177) (= ?v_32 3)) (= ?v_32 4)) (= ?v_32 5)) (= ?v_32 6)) (= ?v_32 255))) (or (or (or (or (or (or (or ?v_84 ?v_81) ?v_180) (= ?v_33 3)) (= ?v_33 4)) (= ?v_33 5)) (= ?v_33 6)) (= ?v_33 255))) (or (or (or (or (or (or (or ?v_88 ?v_85) ?v_183) (= ?v_34 3)) (= ?v_34 4)) (= ?v_34 5)) (= ?v_34 6)) (= ?v_34 255))) (or (or (or (or (or (or (or ?v_92 ?v_89) ?v_186) (= ?v_35 3)) (= ?v_35 4)) (= ?v_35 5)) (= ?v_35 6)) (= ?v_35 255))) (or (or (or (or (or (or (or ?v_96 ?v_93) ?v_189) (= ?v_36 3)) (= ?v_36 4)) (= ?v_36 5)) (= ?v_36 6)) (= ?v_36 255))) (or (or (or (or (or (or (or ?v_100 ?v_97) ?v_192) (= ?v_37 3)) (= ?v_37 4)) (= ?v_37 5)) (= ?v_37 6)) (= ?v_37 255))) (or (or (or (or (or (or (or ?v_104 ?v_101) ?v_195) (= ?v_38 3)) (= ?v_38 4)) (= ?v_38 5)) (= ?v_38 6)) (= ?v_38 255))) (or (or (or (or (or (or (or ?v_108 ?v_105) ?v_198) (= ?v_39 3)) (= ?v_39 4)) (= ?v_39 5)) (= ?v_39 6)) (= ?v_39 255))) (or (or (or (or (or (or (or ?v_112 ?v_109) ?v_201) (= ?v_40 3)) (= ?v_40 4)) (= ?v_40 5)) (= ?v_40 6)) (= ?v_40 255))) (or (or (or (or (or (or (or ?v_116 ?v_113) ?v_204) (= ?v_41 3)) (= ?v_41 4)) (= ?v_41 5)) (= ?v_41 6)) (= ?v_41 255))) (or (or (or (or (or (or (or ?v_120 ?v_117) ?v_207) (= ?v_42 3)) (= ?v_42 4)) (= ?v_42 5)) (= ?v_42 6)) (= ?v_42 255))) (or (or (or (or (or (or (or ?v_124 ?v_121) ?v_210) (= ?v_43 3)) (= ?v_43 4)) (= ?v_43 5)) (= ?v_43 6)) (= ?v_43 255))) (or (or (or (or (or (or (or ?v_128 ?v_125) ?v_213) (= ?v_44 3)) (= ?v_44 4)) (= ?v_44 5)) (= ?v_44 6)) (= ?v_44 255))) (or (or (or (or (or (or (or ?v_132 ?v_129) ?v_216) (= ?v_45 3)) (= ?v_45 4)) (= ?v_45 5)) (= ?v_45 6)) (= ?v_45 255))) (or (or (or (or (or (or (or ?v_136 ?v_133) ?v_219) (= ?v_46 3)) (= ?v_46 4)) (= ?v_46 5)) (= ?v_46 6)) (= ?v_46 255))) (or (or (or (or (or (or (or ?v_140 ?v_137) ?v_222) (= ?v_47 3)) (= ?v_47 4)) (= ?v_47 5)) (= ?v_47 6)) (= ?v_47 255))) (or (or (or (or (or (or (or ?v_144 ?v_141) ?v_225) (= ?v_48 3)) (= ?v_48 4)) (= ?v_48 5)) (= ?v_48 6)) (= ?v_48 255))) (or (or (or (or (or (or (or ?v_148 ?v_145) ?v_228) (= ?v_49 3)) (= ?v_49 4)) (= ?v_49 5)) (= ?v_49 6)) (= ?v_49 255))) (or (or (or (or (or (or (or ?v_152 ?v_149) ?v_231) (= ?v_50 3)) (= ?v_50 4)) (= ?v_50 5)) (= ?v_50 6)) (= ?v_50 255))) (or (or (or (or (or (or (or ?v_156 ?v_153) ?v_234) (= ?v_51 3)) (= ?v_51 4)) (= ?v_51 5)) (= ?v_51 6)) (= ?v_51 255)))) (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (=> ?v_54 (= ?v_55 1)) (=> (not ?v_54) (= ?v_55 0))) (and (=> ?v_58 (= ?v_59 (+ ?v_55 1))) (=> (not ?v_58) (= ?v_59 ?v_55)))) (and (=> ?v_62 (= ?v_63 (+ ?v_59 1))) (=> (not ?v_62) (= ?v_63 ?v_59)))) (and (=> ?v_66 (= ?v_67 (+ ?v_63 1))) (=> (not ?v_66) (= ?v_67 ?v_63)))) (and (=> ?v_70 (= ?v_71 (+ ?v_67 1))) (=> (not ?v_70) (= ?v_71 ?v_67)))) (and (=> ?v_74 (= ?v_75 (+ ?v_71 1))) (=> (not ?v_74) (= ?v_75 ?v_71)))) (and (=> ?v_78 (= ?v_79 (+ ?v_75 1))) (=> (not ?v_78) (= ?v_79 ?v_75)))) (and (=> ?v_82 (= ?v_83 (+ ?v_79 1))) (=> (not ?v_82) (= ?v_83 ?v_79)))) (and (=> ?v_86 (= ?v_87 (+ ?v_83 1))) (=> (not ?v_86) (= ?v_87 ?v_83)))) (and (=> ?v_90 (= ?v_91 (+ ?v_87 1))) (=> (not ?v_90) (= ?v_91 ?v_87)))) (and (=> ?v_94 (= ?v_95 (+ ?v_91 1))) (=> (not ?v_94) (= ?v_95 ?v_91)))) (and (=> ?v_98 (= ?v_99 (+ ?v_95 1))) (=> (not ?v_98) (= ?v_99 ?v_95)))) (and (=> ?v_102 (= ?v_103 (+ ?v_99 1))) (=> (not ?v_102) (= ?v_103 ?v_99)))) (and (=> ?v_106 (= ?v_107 (+ ?v_103 1))) (=> (not ?v_106) (= ?v_107 ?v_103)))) (and (=> ?v_110 (= ?v_111 (+ ?v_107 1))) (=> (not ?v_110) (= ?v_111 ?v_107)))) (and (=> ?v_114 (= ?v_115 (+ ?v_111 1))) (=> (not ?v_114) (= ?v_115 ?v_111)))) (and (=> ?v_118 (= ?v_119 (+ ?v_115 1))) (=> (not ?v_118) (= ?v_119 ?v_115)))) (and (=> ?v_122 (= ?v_123 (+ ?v_119 1))) (=> (not ?v_122) (= ?v_123 ?v_119)))) (and (=> ?v_126 (= ?v_127 (+ ?v_123 1))) (=> (not ?v_126) (= ?v_127 ?v_123)))) (and (=> ?v_130 (= ?v_131 (+ ?v_127 1))) (=> (not ?v_130) (= ?v_131 ?v_127)))) (and (=> ?v_134 (= ?v_135 (+ ?v_131 1))) (=> (not ?v_134) (= ?v_135 ?v_131)))) (and (=> ?v_138 (= ?v_139 (+ ?v_135 1))) (=> (not ?v_138) (= ?v_139 ?v_135)))) (and (=> ?v_142 (= ?v_143 (+ ?v_139 1))) (=> (not ?v_142) (= ?v_143 ?v_139)))) (and (=> ?v_146 (= ?v_147 (+ ?v_143 1))) (=> (not ?v_146) (= ?v_147 ?v_143)))) (and (=> ?v_150 (= ?v_151 (+ ?v_147 1))) (=> (not ?v_150) (= ?v_151 ?v_147)))) (and (=> ?v_154 (= ?v_155 (+ ?v_151 1))) (=> (not ?v_154) (= ?v_155 ?v_151)))) (and (=> ?v_157 (= ?v_158 (+ ?v_155 1))) (=> (not ?v_157) (= ?v_158 ?v_155))))) (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (=> ?v_160 (= ?v_161 1)) (=> (not ?v_160) (= ?v_161 0))) (and (=> ?v_163 (= ?v_164 (+ ?v_161 1))) (=> (not ?v_163) (= ?v_164 ?v_161)))) (and (=> ?v_166 (= ?v_167 (+ ?v_164 1))) (=> (not ?v_166) (= ?v_167 ?v_164)))) (and (=> ?v_169 (= ?v_170 (+ ?v_167 1))) (=> (not ?v_169) (= ?v_170 ?v_167)))) (and (=> ?v_172 (= ?v_173 (+ ?v_170 1))) (=> (not ?v_172) (= ?v_173 ?v_170)))) (and (=> ?v_175 (= ?v_176 (+ ?v_173 1))) (=> (not ?v_175) (= ?v_176 ?v_173)))) (and (=> ?v_178 (= ?v_179 (+ ?v_176 1))) (=> (not ?v_178) (= ?v_179 ?v_176)))) (and (=> ?v_181 (= ?v_182 (+ ?v_179 1))) (=> (not ?v_181) (= ?v_182 ?v_179)))) (and (=> ?v_184 (= ?v_185 (+ ?v_182 1))) (=> (not ?v_184) (= ?v_185 ?v_182)))) (and (=> ?v_187 (= ?v_188 (+ ?v_185 1))) (=> (not ?v_187) (= ?v_188 ?v_185)))) (and (=> ?v_190 (= ?v_191 (+ ?v_188 1))) (=> (not ?v_190) (= ?v_191 ?v_188)))) (and (=> ?v_193 (= ?v_194 (+ ?v_191 1))) (=> (not ?v_193) (= ?v_194 ?v_191)))) (and (=> ?v_196 (= ?v_197 (+ ?v_194 1))) (=> (not ?v_196) (= ?v_197 ?v_194)))) (and (=> ?v_199 (= ?v_200 (+ ?v_197 1))) (=> (not ?v_199) (= ?v_200 ?v_197)))) (and (=> ?v_202 (= ?v_203 (+ ?v_200 1))) (=> (not ?v_202) (= ?v_203 ?v_200)))) (and (=> ?v_205 (= ?v_206 (+ ?v_203 1))) (=> (not ?v_205) (= ?v_206 ?v_203)))) (and (=> ?v_208 (= ?v_209 (+ ?v_206 1))) (=> (not ?v_208) (= ?v_209 ?v_206)))) (and (=> ?v_211 (= ?v_212 (+ ?v_209 1))) (=> (not ?v_211) (= ?v_212 ?v_209)))) (and (=> ?v_214 (= ?v_215 (+ ?v_212 1))) (=> (not ?v_214) (= ?v_215 ?v_212)))) (and (=> ?v_217 (= ?v_218 (+ ?v_215 1))) (=> (not ?v_217) (= ?v_218 ?v_215)))) (and (=> ?v_220 (= ?v_221 (+ ?v_218 1))) (=> (not ?v_220) (= ?v_221 ?v_218)))) (and (=> ?v_223 (= ?v_224 (+ ?v_221 1))) (=> (not ?v_223) (= ?v_224 ?v_221)))) (and (=> ?v_226 (= ?v_227 (+ ?v_224 1))) (=> (not ?v_226) (= ?v_227 ?v_224)))) (and (=> ?v_229 (= ?v_230 (+ ?v_227 1))) (=> (not ?v_229) (= ?v_230 ?v_227)))) (and (=> ?v_232 (= ?v_233 (+ ?v_230 1))) (=> (not ?v_232) (= ?v_233 ?v_230)))) (and (=> ?v_235 (= ?v_236 (+ ?v_233 1))) (=> (not ?v_235) (= ?v_236 ?v_233)))) (and (=> ?v_238 (= ?v_239 (+ ?v_236 1))) (=> (not ?v_238) (= ?v_239 ?v_236))))) (and (and (and (and (and (not (= (format fmt1) percent)) (= (format (+ fmt1 1)) s)) (= (format arg1) adr_lo)) (= (format (+ arg1 1)) adr_medlo)) (= (format (+ arg1 2)) adr_medhi)) (= (format (+ arg1 3)) adr_hi)))))))))))))))))))))))))))))))))))
(check-sat)
(set-option :regular-output-channel "/dev/null")
(get-model)
(exit)
